Page MenuHomePhabricator

Create a backend loaded campaign for Category:RTT between English and Persian
Closed, ResolvedPublic

Description

As per the discussion with @Doc_James at SF office, it is proposed to create a campaign for Category:RTT between en and fa.

We can use this as a category for testing our new campaign feature and it is a small list - 18 articles.

Event Timeline

santhosh created this task.Nov 5 2015, 9:46 PM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added a project: ContentTranslation.
santhosh added subscribers: santhosh, Doc_James.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 5 2015, 9:46 PM

We can use this as a category for testing our new campaign feature and it is a small list - 18 articles.

The RTT Category seems to list about 200 articles. Is 18 the number of those missing in Persian? or are you thinking of getting a subset of that list?

Yes. 18 articles.

$php extensions/ContentTranslation/scripts/manage-lists.php --source en --target fa --category "RTT" --type category
DRY-RUN mode: actions are NOT executed
Fetching pages from RTT not present in fa ...   [OK]
Found 18 pages:
Abdominal aortic aneurysm
Gastrointestinal bleeding
Mesenteric ischemia
Plantar fasciitis
Delirium tremens
Bubonic plague
Obstructed labour
Puerperal infections
Pelvic inflammatory disease
Congenital heart defect
Mumps vaccine
Cholera vaccine
Senna glycoside
Carbidopa/levodopa
Primary aldosteronism
Bupivacaine
Saquinavir
Late termination of pregnancy
Use --really to insert these pages.
Amire80 triaged this task as Medium priority.Nov 11 2015, 7:42 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Nov 11 2015, 7:44 AM

This might get delayed since we are not deploying code till dec second week because of ongoing fundraising.

santhosh added a project: LE-CX7-Sprint 4.
KartikMistry moved this task from In Progress to QA on the LE-CX7-Sprint 4 board.Dec 4 2015, 7:30 AM

User can see and use 'Medical translation project' articles when selecting en -> fa language pair now.

Screenshot:

santhosh moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 4 2015, 11:37 AM
KartikMistry closed this task as Resolved.Dec 21 2015, 6:29 AM
NOTE: All the items in the campaign were translated. 😄

Wow. indeed. Were are we at with opening up more campaigns in more languages?

Yes. We're ready to add more campaigns for all languages.

Perfect. Still need to be done by you? Or can anyone add campaigns now?